Summary: The Linux sources and UVC firmwares for The Imaging Source cameras.
Name: tiscamera
Version: 0.9.0
Release: 3%{?dist}
License: Apache Version 2.0
Source0: %{name}-%{version}.tar.gz
Patch0: tiscamera.patch

BuildRequires:  pkgconfig
BuildRequires:  cmake
BuildRequires:  tinyxml-devel
BuildRequires:  libzip-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gobject-introspection-devel
# for libudev-devel:
BuildRequires:  systemd-devel 
# for libusb1:
BuildRequires:  libusbx-devel

Requires: libusbx
Requires: systemd
Requires: tinyxml
Requires: libzip
Requires: gobject-introspection
Requires: glib2

Requires: gstreamer1
Requires: gstreamer1-plugins-base

%description
This package will give you additional resources to control your TIS camera.

%prep
%setup -q
%patch0

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DBUILD_ARAVIS=OFF \
  -DBUILD_GST_1_0=ON \
  -DBUILD_TOOLS=ON \
  -DBUILD_V4L2=ON \
  -DCMAKE_INSTALL_PREFIX=%{buildroot}/usr \
  ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/lib/udev/*
/usr/bin/*
/usr/lib64/*
/usr/share/*
/usr/include/*
#/etc/init.d/foo
#%{_sbindir}/foo
#/usr/share/man/man8/foo.8

#%files devel
#%defattr(-,root,root)
#/usr/include/foo.h
#/usr/lib/foo.a

%changelog
* Wed May 23 2018 George
- rebuild for Centos 7.5
- 0.9.0 release 3

* Thu Oct 5 2017 George
- fixed dependency on cmake3

* Tue Sep 5 2017 George
- ver 0.9.0
- initial version of spec file
